{ stdenv, lib, fetchFromGitHub, cmake, pciutils, ... }:

let
  src = fetchFromGitHub {
    owner = "FlyGoat";
    repo = "RyzenAdj";
    rev = "a48d42addaad90832ab55b1ab56a0e2445338984";
    sha256 = "sha256-rZPjmrloTMbzi7n1p6XrIaDWNgiU7hvY8XTnk2XMtrE=";
  };
  version = "unstable-2021-03-12";

in stdenv.mkDerivation rec {
  pname = "ryzenadj";
  inherit version src;

  nativeBuildInputs = [ cmake pciutils ];

  installPhase = ''
    install -D -m0755 ryzenadj $out/bin/ryzenadj
  '';

  meta = with lib; {
    description = "Adjust power management settings for Ryzen mobile processors";
    homepage = src.meta.homepage;
    license = licenses.lgpl3;
    maintainers = with maintainers; [ aw ];
    platforms = [ "x86_64-linux" ];
  };
}
